<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Field;

/**
 * Radio button <input> list field option
 * 
 * @package    Pancake
 * @subpackage Fields
 * @see        \Pancake\Field\ListRadios
 */
class ListRadiosOption extends ListCheckboxesOption
{
	// Use radio buttons
	protected $_paragraphClasses = array(
		'field',
		'radio'
	);
	protected $_attributes = array(
		'type' => 'radio'
	);
}