<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Loader;

/**
 * Interface for all of the loader classes
 * 
 * @package Pancake
 */
interface Loader extends \IteratorAggregate, \Countable, \ArrayAccess
{
	public function &load($item, $parameters = array());
	public function loadAll();
}