<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Settings;

/**
 * Date settings
 * 
 * @package    Pancake
 * @subpackage Settings
 */
class Dates
{
	/**
	 * Display date format (no time)
	 */
	const DATE_FORMAT = 'l, j F Y';
	
	/**
	 * Display date format (with time)
	 */
	const DATETIME_FORMAT = 'l, j F Y \a\t g:ia';
	
	/**
	 * Regex for semester and year combination
	 */
	const SEMESTER_REGEX = '#([A-Za-z]+) (\d{4})#';
}