<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Settings;

/**
 * Miscellaneous settings
 * 
 * @package    Pancake
 * @subpackage Settings
 */
class Other
{
	/**
	 * Path to Pancake's CSS Files
	 */
	const CSS_PATH = '/css/pancake/';
	
	/**
	 * Path to Pancake's JavaScript Files
	 */
	const JS_PATH = '/js/pancake/';
	
	/**
	 * Email address to which to send error messages (as a last resort)
	 */
	const WEBMASTER_EMAIL = 'webmaster@example.edu';
}