<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Settings;

/**
 * Validation settings
 * 
 * @package    Pancake
 * @subpackage Settings
 */
class Validation
{
	/**
	 * HTML with which to format the error list
	 */
	const ERROR_HTML = '<div class="message error"><h3>Form Not Yet Submitted!</h3><p>Sorry, but your form was not submitted!  Please correct the following errors and submit the form again:</p><ul>%s</ul></div>';
	
	/**
	 * HTML with which to format each particular error
	 */
	const ERROR_ITEM_HTML = '<li>%s</li>';
	
	/**
	 * HTML with which to format each particular field-specific error
	 */
	const ERROR_ITEM_FIELD_HTML = '<li><span class="field">%s</span>: %s</li>';
	
	/**
	 * HTML with which to format the success message
	 */
	const SUCCESS_HTML = '<div class="message successful"><h3>Success!</h3>%s</div>';
}