<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Helper\SafeFieldName;

/**
 * {@link \Pancake\Helper\SafeFieldName} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class SafeFieldNameTest extends Test
{
	function test()
	{
		$this->assertEqual(SafeFieldName::process('foobar'), 'foobar');
		$this->assertEqual(SafeFieldName::process('fooBar'), 'foobar');
		$this->assertEqual(SafeFieldName::process('foo bar'), 'foo_bar');
		$this->assertEqual(SafeFieldName::process('Foo Bar'), 'foo_bar');
	}
}