<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsCheckbox;

/**
 * {@link \Pancake\Validator\IsCheckbox} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsCheckboxTest extends Test
{
	function test()
	{
		$validator = new IsCheckbox;
		
		$this->assertTrue($validator->validate(true));
		$this->assertIsA($validator->validate(true), 'boolean');
		
		$this->assertTrue($validator->validate(false));
		$this->assertIsA($validator->validate(false), 'boolean');
		
		$this->assertEqual($validator->validate('foobar'), 'Please check or uncheck the checkbox.');
	}
}