<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsDateDay;

/**
 * {@link \Pancake\Validator\IsDateDay} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsDateDayTest extends Test
{
	function test()
	{
		$validator = new IsDateDay;
		
		$this->assertTrue($validator->validate('4'));
		$this->assertIsA($validator->validate('4'), 'boolean');
		
		$this->assertEqual($validator->validate('42'), 'Please enter a valid numeric day.');
		$this->assertEqual($validator->validate('0'), 'Please enter a valid numeric day.');
	}
}