<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsEmail;

/**
 * {@link \Pancake\Validator\IsEmail} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsEmailTest extends Test
{
	function test()
	{
		$validator = new IsEmail;
		
		$this->assertTrue($validator->validate('pool0079@umn.edu'));
		$this->assertIsA($validator->validate('pool0079@umn.edu'), 'boolean');
		
		$this->assertEqual($validator->validate('hej'), 'Please enter a valid email address.');
	}
}