<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsNumeric;

/**
 * {@link \Pancake\Validator\IsNumeric} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsNumericTest extends Test
{
	function test()
	{
		$validator = new IsNumeric;
		
		$this->assertTrue($validator->validate('4'));
		$this->assertIsA($validator->validate('4'), 'boolean');
		
		$this->assertTrue($validator->validate('3.78'));
		$this->assertIsA($validator->validate('3.78'), 'boolean');
		
		$this->assertEqual($validator->validate('abc'), 'Please enter a numeric value.');
	}
}