<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsRequired;

/**
 * {@link \Pancake\Validator\IsRequired} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsRequiredTest extends Test
{
	function test()
	{
		$validator = new IsRequired;
		
		$this->assertTrue($validator->validate('test'));
		$this->assertIsA($validator->validate('test'), 'boolean');
		
		$this->assertEqual($validator->validate(''), 'This field is required.');
		$this->assertEqual($validator->validate(null), 'This field is required.');
	}
}