<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsSemester;

/**
 * {@link \Pancake\Validator\IsSemester} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsSemesterTest extends Test
{
	function test()
	{
		$validator = new IsSemester;
		
		$this->assertTrue($validator->validate('Fall'));
		$this->assertIsA($validator->validate('Fall'), 'boolean');
		
		$this->assertEqual($validator->validate('foobar'), 'Please select a valid school-year semester.');
	}
}