<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator;

/**
 * {@link \Pancake\Validator\Validator} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class ValidatorTest extends Test
{
	function test()
	{
		$this->assertTrue(class_exists('Pancake\Validator\Validator'));
	}
	
	function testGetErrorMessage()
	{
		$validator = new Validator\IsAlphaNumeric;
		$this->assertIsA($validator->error_message, 'string');
	}
}