<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Field;

/**
 * Text <input> field
 * 
 * Examples:
 * <code>
 * $form->text('name');
 * $form->text('evening_phone', array('required' => false));
 * </code>
 *
 * @package    Pancake
 * @subpackage Fields
 */
class InputText extends Input
{
	public static $methodName = 'text';
	protected $_paragraphClasses = array(
		'field',
		'text'
	);
	protected $_attributes = array(
		'type' => 'text'
	);
}