<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Helper;

/**
 * Returns a human-readable version of the string
 * 
 * @package Pancake
 */
class Readable implements Helper
{
	/**
	 * Returns a human-readable version of the string
	 * 
	 * @param  string $string
	 * @return string
	 */
	public static function process($string)
	{
		return SUA::titleCapitalisation(str_replace(array('-', '_'), ' ', $string));
	}
}