<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Settings;

/**
 * Hook settings
 * 
 * @package    Pancake
 * @subpackage Settings
 */
class Hooks
{
	/**
	 * Default subject for the confirmation email
	 */
	const CONFIRMATION_SUBJECT = 'Thank you for your submission!';
	
	/**
	 * Default message for the confirmation email
	 */
	const CONFIRMATION_MESSAGE = 'Your form was sent successfully!  We thank you very much for your submission!';
}