<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Helper\Readable;

/**
 * {@link \Pancake\Helper\Readable} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class ReadableTest extends Test
{
	function test()
	{
		$this->assertEqual(Readable::process('foo_bar'), 'Foo Bar');
		$this->assertEqual(Readable::process('test of tests'), 'Test of Tests');
	}
}