<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsAlphaNumeric;

/**
 * {@link \Pancake\Validator\IsAlphaNumeric} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsAlphaNumericTest extends Test
{
	function test()
	{
		$validator = new IsAlphaNumeric;
		
		$this->assertTrue($validator->validate('test123'));
		$this->assertIsA($validator->validate('test123'), 'boolean');
		
		$this->assertEqual($validator->validate('tets//**'), 'Please enter only letters and numbers.');
	}
}