<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsBetween;

/**
 * {@link \Pancake\Validator\IsBetween} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsBetweenTest extends Test
{
	function test()
	{
		$validator = new IsBetween;
		
		$this->assertTrue($validator->validate(5, 1, 7));
		$this->assertIsA($validator->validate(5, 1, 7), 'boolean');
		
		$this->assertEqual($validator->validate(8, 1, 7), 'Please enter a value between 1 and 7.');
	}
}