<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\IsOneOf;

/**
 * {@link \Pancake\Validator\IsOneOf} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class IsOneOfTest extends Test
{
	function test()
	{
		$validator = new IsOneOf;
		
		$this->assertTrue($validator->validate('email', array('email', 'twitter', 'phone')));
		$this->assertIsA($validator->validate('email', array('email', 'twitter', 'phone')), 'boolean');
		
		$this->assertTrue($validator->validate(array('email', 'twitter'), array('email', 'twitter', 'phone')));
		$this->assertIsA($validator->validate(array('email', 'twitter'), array('email', 'twitter', 'phone')), 'boolean');
		
		$this->assertEqual($validator->validate('telegraph', array('email', 'twitter', 'phone')), 'Please select an option.');
	}
}