<?php
/**
 * Pancake Forms
 * 
 * @author  Ethan Poole
 * @package Pancake
 */

namespace Pancake\Test;

use Pancake\Validator\MatchesPattern;

/**
 * {@link \Pancake\Validator\MatchesPattern} unit tests
 * 
 * @package    Pancake
 * @subpackage Tests
 */
class MatchesPatternTest extends Test
{
	function test()
	{
		$validator = new MatchesPattern;
		
		$this->assertTrue($validator->validate(5, '#[0-9]#'));
		$this->assertIsA($validator->validate(5, '#[0-9]#'), 'boolean');
		
		$this->assertEqual($validator->validate('abc', '#[0-9]#'), 'Please enter a valid value.');
	}
}